Last Comment Bug 730751 - Support animation when opening document-like windows in Lion (OS X 10.7).
: Support animation when opening document-like windows in Lion (OS X 10.7).
Status: RESOLVED FIXED
[good first bug][mentor=stefanh][lang...
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.13
Assigned To: lavina
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 20:38 PST by Philip Chee
Modified: 2012-06-10 06:30 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for Bug 730751 (6.16 KB, patch)
2012-06-02 00:03 PDT, lavina
stefanh: review+
Details | Diff | Splinter Review
updated patch (8.22 KB, patch)
2012-06-05 21:15 PDT, lavina
stefanh: review+
neil: review+
Details | Diff | Splinter Review
updated patch (7.84 KB, patch)
2012-06-08 22:18 PDT, lavina
neil: review+
Details | Diff | Splinter Review

Description Philip Chee 2012-02-26 20:38:07 PST
Bug 674370:

> When opening the application on OS X Lion, we should use the same animation
> as the other applications. (Zoom in)

Bug 728493:

> This patch will add the window animation in Lion to the standalone window,
> the main window, the addressbook and the compose window.
Comment 1 Philip Chee 2012-02-26 20:45:40 PST
References:
  FX Bug 674370 - [10.7] Support animation when opening windows in Lion.
  TB Bug 728493 - Add Lion window opening animation (zoom on creation) to Thunderbird.
Comment 2 lavina 2012-04-25 17:55:56 PDT
I'll take this.
Comment 3 Philip Chee 2012-04-25 22:55:03 PDT
Thank you. Please visit irc://moznet/seamonkey if you need to discuss anything or need help with your patch.
Comment 4 lavina 2012-06-02 00:03:14 PDT
Created attachment 629447 [details] [diff] [review]
patch for Bug 730751

mainly added macanimationtype="document" to navigator.xul, addressbook.xul,messagecompose.xul, messenger.xul, messageWindow.xul.
Comment 5 Stefan [:stefanh] 2012-06-02 06:54:54 PDT
Thanks for the patch lavina, I'll try to look at it asap (in 1-2 days).
Comment 6 Stefan [:stefanh] 2012-06-03 04:34:42 PDT
Comment on attachment 629447 [details] [diff] [review]
patch for Bug 730751

This looks good - thanks!

But we should animate the Composer window too. So, r=me if you put up a new patch with 'macanimationtype="document"' added to editor.xul (in editor/ui/composer/content).
Comment 7 neil@parkwaycc.co.uk 2012-06-03 05:18:20 PDT
Do any of our add-ons need this?

(In reply to Stefan from comment #6)
> (From update of attachment 629447 [details] [diff] [review])
> But we should animate the Composer window too.
Also the plain text editor in debugQA please.
Comment 8 Stefan [:stefanh] 2012-06-03 08:09:08 PDT
(In reply to neil@parkwaycc.co.uk from comment #7)
> Do any of our add-ons need this?

We could do it for chatzilla, but maybe we could handle that in a separate bug.
> 
> (In reply to Stefan from comment #6)
> > (From update of attachment 629447 [details] [diff] [review])
> > But we should animate the Composer window too.
> Also the plain text editor in debugQA please.

Right, that would be comm-central/source/suite/debugQA/content/debugQATextEditorShell.xul.
Comment 9 lavina 2012-06-05 21:15:54 PDT
Created attachment 630433 [details] [diff] [review]
updated patch

added macanimationtype for editor.xul and debugQATextEditorShell.xul.
Comment 10 Stefan [:stefanh] 2012-06-06 07:15:59 PDT
Comment on attachment 630433 [details] [diff] [review]
updated patch

Thanks. I'm one of the few SM devs that use Mac, so my review makes sense here. But since I'm not an official peer and this patch also touches mailNews and editor, I think we need additional review here.
Comment 11 neil@parkwaycc.co.uk 2012-06-06 12:21:58 PDT
Comment on attachment 630433 [details] [diff] [review]
updated patch

>         windowtype="msgcompose"
>         width="640" height="480"
>-        persist="screenX screenY width height sizemode">
>+        persist="screenX screenY width height sizemode"
>+        macanimationtype="document">
Sorry for not noticing this in the first patch, but I'd like all of the mail windows to match the non-mail windows where you add the macanimationtype after the windowtype to avoid changing the line ending in >. r=me with that fixed.
Comment 12 lavina 2012-06-08 22:18:10 PDT
Created attachment 631614 [details] [diff] [review]
updated patch
Comment 13 Stefan [:stefanh] 2012-06-10 06:30:02 PDT
Thanks a lot for the patch, lavina. I've pushed your patch to comm-central:
http://hg.mozilla.org/comm-central/rev/29e0c83f32e7

Note You need to log in before you can comment on or make changes to this bug.